.app-container {
	width: 100%;
	display: table;
}


.display-header {
	padding: 5px 10px;
	display: table-row;
}
.display-header > div {
	display:table-cell;
	vertical-align: middle;
	padding-left: 15px;
	padding-right: 15px;
}
.display-header .display-title,
.display-header .display-search,
.display-header .display-actions {
	margin-top: 8px;
	margin-bottom: 8px;
}
.display-header .display-search {
	width: 100%;
}

.display-content {
	display: table-row;
	height: 100%;
}
.display-content > div:first-child {
	display:table-cell;
}

.content-container {
	position: fixed;
	margin-top: 60px;
	top: 50px;
	left: 0;
	bottom: 0;
	width: 100%;
	display: block;
	overflow-y: auto;
}

.sidebar.collapsible .collapsible-icon {
	display: inline-block;
}

.sidebar.collapsible .collapsible-icon {
	font-size: 20px;
}

.sidebar.collapsible .collapsible-icon-pin:not(.pinned) span {
    -webkit-transform: rotate(30deg);
    -moz-transform: rotate(30deg);
    -ms-transform: rotate(30deg);
    -o-transform: rotate(30deg);
    transform: rotate(30deg);
}


.modal.fullscreen .modal-content {
	top: 60px;
}

@media screen and (min-width: 768px) {
	.display-header .display-search {
		width: auto;
	}
	.content-container .sidebar, .content-container .content {
		position: absolute;			
		overflow-y: auto;
	}
	.content-container .content.half-height,.content-container .sidebar.half-height {
		height: auto;
	}

	.content-container.dashboard .sidebar.left {
		top: 0px;
		bottom: 0px;
		left: 0px;
		width: 200px;
	}
	.content-container.dashboard .content.right {
		top: 0px;
		bottom: 0px;
		right: 0px;
		width: calc(100% - 200px);
	}

	.content-container .sidebar.left {
		top: 0px;
		bottom: 0px;
		left: 0px;
		width: 30%;
	}
	.content-container .content.right {
		top: 0px;
		bottom: 0px;
		right: 0px;
		width: 70%;
	}
	.content-container .sidebar.right {
		top: 0px;
		bottom: 0px;
		right: 0px;
		width: 30%;
	}
	.content-container .content.left {
		top: 0px;
		bottom: 0px;
		left: 0px;
		width: 70%;
	}

	.sidebar.collapsible {
		width: 400px !important;
		-webkit-transition: left 0.5s; /* For Safari 3.1 to 6.0 */
		transition: left 0.5s;
		z-index: 10;
		box-shadow: 2px 2px 10px #888;
	}
	.sidebar.collapsible.minimized {
		left: -356px !important;
	}
	.content.sidebar-collapsible {
		width: calc(100% - 400px) !important;
		/*-webkit-transition: width 0.5s;*/ /* For Safari 3.1 to 6.0 */
		/*transition: width 0.5s;*/
	}
	.content.sidebar-collapsible.maximized {
		width: calc(100% - 44px) !important;
	}
	
	.content-container .content.left.padded,.content-container .content.right.padded {
		padding: 5px;
	}
	.panel .panel-content .scrollable {
		position: absolute; 
		top: 0; 
		bottom: 0;
		width: 100%;
		overflow-y:auto;
	}
}
@media (max-width: 767px) {
	body {
		font-size: 12px;
	}
	.container>.navbar-header {
		margin-left: 0;
	}
	.navbar .container {
		padding: 0px 15px;
	}
	.navbar-nav .open .dropdown-menu {
		background-color: #f3f3f3;
	}
	.navbar .navbar-collapse {
		margin-top: 10px;
		border: none;
		/*min-height: 400px;*/
	}
	.pagination>li>a, .pagination>li>span {
		padding: 6px 6px !important;
	}
	#settings {
		padding-left: 0; 
	}
	#settings .modal-dialog {
		width: 330px;
		margin: 20px auto;
	}
	#settings .modal-footer .btn {
		padding: 5px 10px;
		font-size: 12px;
		line-height: 1.5;
	}
	.sidebar.collapsible {
		width: inherit;
	}
}